import ExtrDb from "../../data-storage/db/extr";
import GenericExtr from "../../data-storage/db/extr/generic-extr";

export default class Get {
  private _db: ExtrDb;

  public async byCode(code: string, requestedFields: Array<string>, db: ExtrDb) {
    this._db = db;
    return this.build(await this._db.getByCode(code, requestedFields));
  }

  private build(itemData: GenericExtr | null): GenericExtr {
    if (!itemData) {
      throw new Error("Register not found");
    }

    return itemData;
  }
}
